View Issue Details

IDProjectCategoryView StatusLast Update
0012666mantisbthtmlpublic2014-12-08 00:33
ReportersimsmasterAssigned Todhx 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.4 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012666: Mantis uses Refresh: on IIS instead of Location:
Description

I know, that Location: causes problems on IIS 5, but on IIS 6 its AFAIK safe to use.
The Refresh-header makes trouble i.e in combination with Snoopy (I´m using it for a WordPress Plugin)
Maybe you should check the IIS version, or drop the support for IIS 5 completely (if it courses trouble elsewhere...)

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
related to 0017437 closeddregad Plugin breaks 

Activities

dhx

dhx

2011-01-07 17:36

reporter   ~0027854

I agree... we shouldn't be using Refresh the refresh header at all. And I think we need to review our usage of the Location header too - it's probably getting abused.

dhx

dhx

2011-02-27 00:05

reporter   ~0028310

Committed a patch to deprecate $g_use_iis completely in 1.3.x. It'd be great if you're able to test 1.3.x on IIS (preferably with gzip compression too) to ensure it is still working properly. The $g_use_iis setting is from the days of IIS 5 when there were quite a lot of issues with how IIS was designed and how PHP interfaced with it.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036467

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Issue History

Date Modified Username Field Change
2011-01-07 12:22 simsmaster New Issue
2011-01-07 17:36 dhx Note Added: 0027854
2011-01-07 17:36 dhx Assigned To => dhx
2011-01-07 17:36 dhx Status new => confirmed
2011-01-07 17:37 dhx Target Version => 1.2.5
2011-02-27 00:03 dhx Status confirmed => assigned
2011-02-27 00:03 dhx Target Version 1.2.5 => 1.3.0-beta.1
2011-02-27 00:05 dhx Note Added: 0028310
2011-02-27 00:05 dhx Status assigned => resolved
2011-02-27 00:05 dhx Fixed in Version => 1.3.0-beta.1
2011-02-27 00:05 dhx Resolution open => fixed
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036467
2013-04-05 18:06 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-11-07 12:55 vboctor Relationship added related to 0017437
2014-12-08 00:33 vboctor Status resolved => closed